Get Delivery Metrics

GET
/v1/metrics/delivery

Retrieve workspace delivery metrics by day

Request body

startstring Required

ISO 8601 start date or timestamp

endstring Required

ISO 8601 end date or timestamp. Must be on or after `start` and no more than 90 days later.

unitstring Required

Time-series interval. Currently only `day` is supported.

Request
cURL
curl --get "https://api.leadpush.io/v1/metrics/delivery" \
  --data-urlencode 'start=2026-10-01T00:00:00Z' \
  --data-urlencode 'end=2026-10-07T23:59:59Z' \
  --data-urlencode 'unit=day' \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer {token}"
Response Example
{
  "data": {
    "range": {
      "start": "2026-10-01T00:00:00.000000Z",
      "end": "2026-10-07T23:59:59.000000Z",
      "unit": "day"
    },
    "summary": {
      "delivered_count": 9840,
      "sent_count": 10000,
      "total_open_count": 6432,
      "unique_open_count": 5100,
      "total_click_count": 1225,
      "unique_click_count": 980,
      "bounced_count": 120,
      "complaint_count": 4,
      "rejected_count": 40,
      "unsubscribe_count": 18
    },
    "series": [
      {
        "date": "2026-10-01T00:00:00.000000Z",
        "delivered_count": 1400,
        "sent_count": 1425,
        "total_open_count": 920,
        "unique_open_count": 730,
        "total_click_count": 175,
        "unique_click_count": 140,
        "bounced_count": 17,
        "complaint_count": 1,
        "rejected_count": 8,
        "unsubscribe_count": 2
      }
    ]
  }
}